Contact Us
One person reads this address. Corrections to the maths or to a specification claim get read first.
How to reach me
Email is the only channel. There is no contact form, because a form would need a server to receive it.
This is one person and not a support desk. A reply can take a few days. Every message is read.
What gets a reply
Anything that makes the site more correct. In rough order of how fast it gets answered:
- A bug in a generator, with the browser, the settings you used and what happened.
- Incorrect maths: a wrong entropy figure, a collision probability that does not follow, a chi-square value or degrees-of-freedom count that is off.
- A specification error: a misreading of RFC 9562, RFC 4648, RFC 4086 or NIST SP 800-63B, or a claim about a language standard library that is out of date.
- A statement about another named generator that is unfair, outdated or no longer true of its current source.
- A missing case in the guidance, particularly a use case where the advice on a page would lead someone to the wrong length or the wrong alphabet.
Report an error in any figure on this site
This is an open invitation, and it is not a formality. Correctness is the entire premise here. The site claims a position based on published numbers and traceable sources, so a wrong number is not a small blemish, it is a failure of the thing being sold.
A useful report names the page, quotes the figure as written, says what it should be, and says how you got there. A source, a derivation or a script all work. Politeness is optional; a citation is not.
Corrections that change a published figure get their own changelog entry recording what was wrong, what it is now and when it changed. Numbers are not quietly edited into being right.
That also applies to a claim about a competitor. Sites change. If a generator named anywhere here has since fixed what is described, that description is now wrong and will be updated with the date of the recheck.
Security reports
If you find something that affects users, such as a way to make a generator produce predictable output, or a script injection through the custom alphabet field, write before publishing and allow reasonable time for a fix.
There is no bounty programme. There is no money behind this site. What there is, is a fast fix, a changelog entry, and credit in it if you want it.
What does not get a reply
Link exchange requests, guest post offers, sponsored placement, SEO retainers, outreach that opens by noticing this site is missing something, and offers to supply generated content. These are deleted at the subject line.